<template>
  <router-view></router-view>
</template>

<script>
  import { useStore } from './store/store';


export default {


  name: 'App',
  components: {
    
},


  mounted(){
    const user = localStorage.getItem('user')

    if(user){
        const store = useStore()
        store.fetchCurrentUser(user)
    }

  }


  }

</script>

<style>
body{
  margin: 0;
  padding: 0;
}
button{
  width: 10rem;
} 
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  width: 100%;
}
.display-row{
  display: flex;
  align-items: center;
  flex-direction: row;
}
</style>
